package tbox;

import java.awt.BorderLayout;
import java.awt.DisplayMode;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JWindow;

public class MaxScreen extends JWindow {

	// this line is needed to avoid serialization warnings
	private static final long serialVersionUID = 1L;

	GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
	GraphicsDevice gs = ge.getDefaultScreenDevice();

	// Create a button that leaves full-screen mode
	MaxScreen(String path) {
		GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
		GraphicsDevice gs = ge.getDefaultScreenDevice();
		// JButton btn = new JButton("OK");
		
		DisplayMode dmode = gs.getDisplayMode();
		Image screenImage = Toolkit.getDefaultToolkit().getImage(path);
		
		float imageHeight = new ImageIcon(screenImage).getIconHeight();
		float imageWidth = new ImageIcon(screenImage).getIconWidth();

		float screenWidth = dmode.getWidth();
		float screenHeight = dmode.getHeight();

		float newHeight = 0;
		float newWidth = 0;

		if (imageHeight < screenHeight && imageWidth > screenWidth) {
			newWidth = screenWidth;
			newHeight = (screenWidth * imageHeight) / imageWidth;
		} else if (imageHeight > screenHeight && imageWidth < screenWidth) {
			newHeight = screenHeight;
			newWidth = imageWidth * (screenHeight / imageHeight);
		} else {
			newWidth = screenWidth;
			newHeight = (screenWidth * imageHeight) / imageWidth;
			if (newHeight > screenHeight) {
				newHeight = screenHeight;
				newWidth = (screenHeight * imageWidth) / imageHeight;
			}
		}
		setSize((int)screenWidth,(int)screenHeight);
		Image screenImage2 = screenImage.getScaledInstance((int)newWidth, (int)newHeight, java.awt.Image.SCALE_DEFAULT);
		JButton btn = new JButton(new ImageIcon(screenImage2));
		add(btn, BorderLayout.CENTER);
		btn.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				// Return to normal windowed mode
				GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
				ge.getDefaultScreenDevice();
				setVisible(false);
			}
		});

		this.validate();
//		this.pack();
		this.setVisible(true);
	}
}
