package tbox;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

public class ReorderDialog extends JDialog {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	JPanel control = new JPanel(new FlowLayout());
	JList displayList = new JList();
	ListSelectionListener listSelectionListener = null;
	JScrollPane listView = new JScrollPane();
	private JButton yesButton = null;
	private JButton noButton = null;
	private JButton upButton = null;
	private JButton downButton = null;
	private boolean answer = false;
	String[] children2;
	int count2;
	int holdPosition = 0;
	int[] order;
	int holdOrder = 0;

	public int[] getOrder() {
		return (order);
	}

	public boolean getAnswer() {
		return answer;
	}

	public ReorderDialog(JFrame frame, boolean modal, String[] children,
			int count) {
		super(frame, "Reorder Items", modal);
		this.setMinimumSize(new Dimension(400, 225));
		this.setResizable(false);
		count2 = count;
		ActionListener al = new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if (upButton == e.getSource()) {
					Object holdValue = null;
					holdPosition = displayList.getSelectedIndex();
					holdValue = displayList.getSelectedValue();

					children2[holdPosition] = children2[holdPosition - 1];
					children2[holdPosition - 1] = holdValue.toString();

					holdOrder = order[holdPosition];
					order[holdPosition] = order[holdPosition - 1];
					order[holdPosition - 1] = holdOrder;

					displayList.setSelectedIndex(holdPosition - 1);

				} else if (downButton == e.getSource()) {
					Object holdValue = null;
					holdPosition = displayList.getSelectedIndex();
					holdValue = displayList.getSelectedValue();

					children2[holdPosition] = children2[holdPosition + 1];
					children2[holdPosition + 1] = holdValue.toString();

					holdOrder = order[holdPosition];
					order[holdPosition] = order[holdPosition + 1];
					order[holdPosition + 1] = holdOrder;

					displayList.setSelectedIndex(holdPosition + 1);

				} else if (yesButton == e.getSource()) {
					System.err.println("User choose yes.");
					answer = true;
					setVisible(false);
				} else if (noButton == e.getSource()) {
					System.err.println("User choose no.");
					answer = false;
					setVisible(false);
				}
				displayList
						.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
				displayList.addListSelectionListener(listSelectionListener);
			}
		};

		children2 = new String[count];
		children2 = children;
		order = new int[count];
		for (int i = 0; i < count; i++) {
			order[i] = i;
		}
		upButton = new JButton("Up");
		downButton = new JButton("Down");

		upButton.addActionListener(al);
		downButton.addActionListener(al);

		upButton.setEnabled(false);
		downButton.setEnabled(false);

		listSelectionListener = new ListSelectionListener() {
			public void valueChanged(ListSelectionEvent listSelectionEvent) {
				JList list = (JList) listSelectionEvent.getSource();
				int selection = list.getSelectedIndex();
				// disable buttons when up or down do not make sense.
				if (selection != 0)
					upButton.setEnabled(true);
				else
					upButton.setEnabled(false);
				if (selection != count2 - 1)
					downButton.setEnabled(true);
				else
					downButton.setEnabled(false);
			}
		};

		displayList = new JList(children2);
		listView = new JScrollPane(displayList);

		displayList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
		displayList.addListSelectionListener(listSelectionListener);

		control.add(listView);
		control.add(upButton);
		control.add(downButton);
		setLayout(new BorderLayout());
		add(control,BorderLayout.NORTH);
		// Place Label from caller, yes and no buttons into groupPanel
		JPanel groupPanel = new JPanel();
		groupPanel.add(new JLabel("Reorder the tree list?"));
		yesButton = new JButton("Yes");
		groupPanel.add(yesButton);
		noButton = new JButton("Cancel");
		groupPanel.add(noButton);
		yesButton.addActionListener(al);
		noButton.addActionListener(al);
		add(groupPanel,BorderLayout.SOUTH);
		pack();
		setLocationRelativeTo(frame);
		setVisible(true);
	}
}
