USE mysql;
DROP DATABASE IF EXISTS `treasurebox`;
CREATE DATABASE treasurebox;

CREATE USER 'treasureboxuser' IDENTIFIED BY 'treasure';
GRANT ALL ON treasurebox.* to 'treasureboxuser'@'localhost' IDENTIFIED BY 'treasure';
UPDATE user SET select_priv = 'Y', insert_priv ='Y', update_priv = 'Y', delete_priv = 'Y', create_priv = 'Y' WHERE user = 'treasureboxuser';

USE treasurebox;

CREATE TABLE projects (
projectKey INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
name VARCHAR(25),
UNIQUE(name),
description VARCHAR(1000),
status VARCHAR(6),
cur_timestamp TIMESTAMP DEFAULT NOW());

CREATE TABLE items (
itemKey INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
projectKey INT NOT NULL,
FOREIGN KEY (projectKey) REFERENCES projects(projectKey),
name VARCHAR(20),
itemOrder INT,
description VARCHAR(1000), 
container VARCHAR(1),
type VARCHAR(20),
location VARCHAR(400),
locationSize INT,
level INT,
cur_timestamp TIMESTAMP DEFAULT NOW());

CREATE TABLE images (
imageName VARCHAR(100),
itemKey INT NOT NULL,
FOREIGN KEY (itemKey) REFERENCES items(itemKey),
imageOrder INT,
cur_timestamp TIMESTAMP DEFAULT NOW());