-- MySQL dump 10.13  Distrib 5.5.8, for Win64 (x86)
--
-- Host: localhost    Database: treasurebox
-- ------------------------------------------------------
-- Server version	5.5.8

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `images`
--

DROP TABLE IF EXISTS `images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `images` (
  `imageName` varchar(100) DEFAULT NULL,
  `itemKey` int(11) NOT NULL,
  `imageOrder` int(11) DEFAULT NULL,
  `cur_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  KEY `itemKey` (`itemKey`),
  CONSTRAINT `images_ibfk_1` FOREIGN KEY (`itemKey`) REFERENCES `items` (`itemKey`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `images`
--

LOCK TABLES `images` WRITE;
/*!40000 ALTER TABLE `images` DISABLE KEYS */;
INSERT INTO `images` VALUES ('house1.jpg',12,1,'2012-03-23 03:36:19'),('leonid-afremov121.jpg',11,1,'2012-03-23 03:36:44'),('secondFloor.jpg',14,1,'2012-03-24 00:08:51'),('garage1.jpg',20,1,'2012-04-12 23:21:00'),('bookcase1.jpg',94,1,'2012-04-20 18:21:57'),('bathroom.jpg',95,1,'2012-04-20 19:54:10'),('family.jpg',97,1,'2012-04-21 20:12:38'),('katie1.jpg',116,1,'2012-04-27 23:16:20'),('Bob.jpg',119,1,'2012-04-28 00:33:54'),('Sue1.jpg',120,1,'2012-04-28 02:01:31'),('Phil Carson.jpg',121,1,'2012-04-28 02:02:33'),('afghan.jpg',61,1,'2012-05-02 03:19:35'),('Kevin Walters.jpg',127,1,'2012-09-28 00:05:31'),('Gary Jones1.jpg',128,1,'2012-09-28 00:19:30'),('dining room 1.jpg',131,1,'2012-10-25 16:54:36'),('living room1.jpg',132,1,'2012-10-25 16:55:54'),('joe1.jpg',133,1,'2012-10-27 16:34:05'),('joe2.jpg',133,2,'2012-10-27 16:34:05'),('joe3.jpg',133,3,'2012-10-27 16:34:05'),('karen1.jpg',134,1,'2012-10-27 16:37:20'),('Grandpa Bill.jpg',135,1,'2012-10-27 16:41:01'),('Grandma Karen.jpg',136,1,'2012-10-27 16:43:54'),('Father John.jpg',137,1,'2012-10-27 17:09:51'),('kitchen2..jpg',107,1,'2012-10-28 01:21:11'),('masterBedroom.jpg',15,1,'2012-10-28 01:21:42'),('basement1.jpg',57,1,'2012-10-28 01:46:16'),('office.jpg',16,1,'2012-10-28 01:59:36'),('bookshelf1.jpg',138,1,'2012-10-28 02:27:05'),('bookshelf2.jpg',139,1,'2012-10-28 02:35:06'),('CDshelf1.jpg',140,1,'2012-10-28 02:57:02'),('firstFloor.jpg',13,1,'2013-03-04 17:23:57');
/*!40000 ALTER TABLE `images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `items`
--

DROP TABLE IF EXISTS `items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `items` (
  `itemKey` int(11) NOT NULL AUTO_INCREMENT,
  `projectKey` int(11) NOT NULL,
  `name` varchar(20) DEFAULT NULL,
  `itemOrder` int(11) DEFAULT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `container` varchar(1) DEFAULT NULL,
  `type` varchar(20) DEFAULT NULL,
  `location` varchar(400) DEFAULT NULL,
  `locationSize` int(11) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `cur_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`itemKey`),
  KEY `projectKey` (`projectKey`),
  CONSTRAINT `items_ibfk_1` FOREIGN KEY (`projectKey`) REFERENCES `projects` (`projectKey`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=142 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `items`
--

LOCK TABLES `items` WRITE;
/*!40000 ALTER TABLE `items` DISABLE KEYS */;
INSERT INTO `items` VALUES (11,8,'Houses',0,'This is the House project where you can find the valuable things in your house.','Y','ROOT',' ',0,0,'2012-03-23 03:34:48'),(12,8,'Bob and Kelly',0,'This is our main residence at 421 Center Street. It is our current home.\n\nSquare Feet = 3200\nThree floors.\n','Y','House','Houses',6,1,'2012-03-23 03:35:40'),(13,8,'First Floor',0,'This is the main entrance to the house, the living room.  It leads to both the dinning room and kitchen. x','Y','Level','Houses|Bob and Kelly',20,2,'2012-03-23 17:36:41'),(14,8,'Second Floor',1,'The second floor contains the master bedroom, bathroom, bowling alley room, Dans and Marias rooms.','Y','Level','Houses|Bob and Kelly',20,2,'2012-03-23 17:40:49'),(15,8,'Master Bedroom',0,'This room is currently where the master bedroom is.  It is close to the main bathroom. ','Y','Room','Houses|Bob and Kelly|Second Floor',33,3,'2012-03-24 00:20:01'),(16,8,'Home Office',1,'This room contains the large (7 foot) table we use as a desk.  The family desktop computer and printer are here. It also contains the file cabinet and the main bookshelves.','Y','Room','Houses|Bob and Kelly|Second Floor',33,3,'2012-03-24 00:24:29'),(20,8,'Garage',3,'Detached garage made of cement block.  The external size is roughly a 20 foot by 20 foot square.  The garage has an automatic door opener. And it contains many things of wonder.','Y','External','Houses|Bob and Kelly',20,2,'2012-04-08 23:11:35'),(57,8,'Basement',2,'Here is where most of the storage items are found. Check out all the rooms. A workroom, bathroom, closet room.','Y','Level','Houses|Bob and Kelly',20,2,'2012-04-13 22:07:25'),(61,35,'People',0,'This is the main contact list. It has everyone I know. And a few people I don\'t know. You know?','Y','ROOT',' ',0,0,'2012-04-14 02:22:50'),(94,8,'Main Bookcase',0,'Main bookcase for the house.','Y','Bookcase','Houses|Bob and Kelly|Second Floor|Home Office',45,4,'2012-04-20 18:18:14'),(95,8,'Master Bath',2,'This is the master bathroom for the second floor.','Y','Room','Houses|Bob and Kelly|Second Floor',33,3,'2012-04-20 19:51:45'),(97,35,'Family',0,'Family and relatives.','Y','Family','People',6,1,'2012-04-21 20:12:19'),(107,8,'Kitchen',0,'This is the new kitchen with granite counters.','Y','Room','Houses|Bob and Kelly|First Floor',32,3,'2012-04-25 02:24:14'),(116,35,'Katie',1,'I work with Katie at the plant.  She handles all the office supplies. We have worked together for 15 years.\n\nPhone: 423-555-9218 ','Y','Friend','People',6,1,'2012-04-27 23:15:58'),(119,35,'Bob',2,'Bob is our next door neighbor.  He helps us with projects and is very handy. He has loads of tools and knows how to use them.\n\nPhone 423-555-0163','Y','Friend','People',6,1,'2012-04-28 00:32:19'),(120,35,'Sue',3,'Insurance contact for house and car coverage.  If she is not available ask for Rose.\n\nPhone 235-555-1896','Y','Business','People',6,1,'2012-04-28 01:46:06'),(121,35,'Phil Carson',4,'Phil is my chess partner on Tuesday nights.  We play over the internet. I used to work with Phil at the plant but now he works in construction.\n\nPhone: 433-555-7658','Y','Friend','People',6,1,'2012-04-28 02:02:15'),(127,35,'Kevin Walters',5,'Kevin is the plumber who did our upstairs bathroom and basement sinks.\n\nCell Phone: 423-555-0112','Y','Business','People',6,1,'2012-09-28 00:05:15'),(128,35,'Gary Jones',0,'Gary works for Kevin as helpler.  Gary did a lot of the tile work and painting for us.\n\nCell Phone: 423-555-7671','Y','Business','People|Kevin Walters',20,2,'2012-09-28 00:15:29'),(131,8,'Dining Room',1,'Formal dining room. Great for our special occations.','Y','House','Houses|Bob and Kelly|First Floor',32,3,'2012-10-25 16:54:28'),(132,8,'Living Room',2,'This is our main entertainment area.  We spend many hours here reading, watching TV and listening to music.','Y','House','Houses|Bob and Kelly|First Floor',32,3,'2012-10-25 16:55:48'),(133,35,'Joe',0,'Joe is 9 years old.  He does well in school.\n\nCell Phone 423-555-1212','Y','Family','People|Family',13,2,'2012-10-27 16:33:25'),(134,35,'Karen',1,'Karen is a high school junior.  She plays all kinds of sports and is a good chess player.\n\nCell Phone: 431-555-1862','Y','Family','People|Family',13,2,'2012-10-27 16:36:55'),(135,35,'Grandpa Bill',2,'Grandpa Bill was born in 1921.  He was a coal miner and latter worked in a broom factory in Kentucky.\n\nPhone: 376-555-0793 (home no cell)','Y','Family','People|Family',13,2,'2012-10-27 16:40:20'),(136,35,'Grandma Karen',3,'Grandma Karen lives in Columbus Ohio and visits us every Thanksgiving.  \n\nCell Phone 856-555-3858','Y','Family','People|Family',13,2,'2012-10-27 16:43:20'),(137,35,'Father John',6,'Father John is the parish pastor.  His office hours are 9 to 4 Monday through Thrusday.\n\nHome Phone: 423-555-0275\nCell Phone:  519-555-6126','Y','Friend','People',6,1,'2012-10-27 17:09:35'),(138,8,'Top Shelf',0,'Color Atlas of the World\nMicrowave Cooking Guide\nThread of Life\nMichelangelo\nThe Glory of Egypt\nTeamsters\nThe White Album\nThe Dimensions of the Short Story\nThe Hotel New Hampshire\nEnergy Medicine\nGood as Gold\nCider House Rules\nBrideshead Revisited\nThe Jade Emperor\'s Mind Seal Classic\nSong of Solomon\nOne Hundred Years of Solitude\nAntique Maps\nIt Doesn\'t Take a  Hero\nThe Iliad','Y','Bookcase','Houses|Bob and Kelly|Second Floor|Home Office|Main Bookcase',59,5,'2012-10-28 02:26:31'),(139,8,'Bottom Shelf',1,'Philosophy Books:\nThe Range of Philosophy\nPhilosophy: an Introducion\nThe Phenomenon of Man\nThe Foundations of Scientific Inference\nDiscourses on Method and Meditations\nOn Liberty\nBeyond Good and Evil\nThe Teaching of Budda\nThe Zen Life\nThe Koran\nThe Crack in the Cosmic Egg\nPlato Epictetus and Marcus Aurelius\nSiddhartha\nConsciousness And Reality\nAwakening to the Tao\nAn Egyptian Childhood\nThe Way of Life\nThe Unbearable Lightness of Being\nThe Dancing Wu Li Masters\nCan you solve it\nModern American Prose\nPicturing Will\nThe Teachings of Don Juan\nInside Intelligence\nOrdinary Love and Good Will\nThe Hobbit\nThe Secret of the Golden Flower\nTao Te Ching\nZen and the art of Motorcycle Maintenance','Y','Bookcase','Houses|Bob and Kelly|Second Floor|Home Office|Main Bookcase',59,5,'2012-10-28 02:34:58'),(140,8,'Music CDs',0,'Music CDs\n','Y','Bookcase','Houses|Bob and Kelly|Basement',29,3,'2012-10-28 02:56:52');
/*!40000 ALTER TABLE `items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projects`
--

DROP TABLE IF EXISTS `projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `projects` (
  `projectKey` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(20) DEFAULT NULL,
  `description` varchar(300) DEFAULT NULL,
  `status` varchar(6) DEFAULT NULL,
  `cur_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`projectKey`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `projects`
--

LOCK TABLES `projects` WRITE;
/*!40000 ALTER TABLE `projects` DISABLE KEYS */;
INSERT INTO `projects` VALUES (8,'Houses','This is the House project where you can find the valuable things in your house.',NULL,'2012-03-23 03:34:48'),(35,'People','This is the main contact list. It has everyone I know. And a few people I don\'t know. You know?',NULL,'2012-04-14 02:22:50');
/*!40000 ALTER TABLE `projects` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-03-04 14:29:43
